#! /usr/bin/env python
# -*- coding: utf-8 -*-
"""
Kysrun application launcher keyboard shortcut installation.
Copyright (C) 2008  Francois Beerten

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""

import os
import shutil

home = os.path.expanduser('~')
icewmdir = home + '/.icewm'
keyspath = icewmdir + '/keys'

print "Adding a keyboard shortcut for Kysrun."
if not os.access(icewmdir, os.R_OK):
    os.mkdir(icewmdir)

if not os.access(keyspath, os.F_OK):
    shutil.copy('/etc/X11/icewm/keys', icewmdir)


f = file(keyspath, 'a')
f.write('''
# Kysrun shortcut
key "Alt+Space" \t\t%s/kysrun/kysrun.py''' % home)

print('Restarting the window manager.')
os.popen("killall -HUP icewm icewmtray")

print "Done."
print "Press ALT and SPACE to pop up kysrun."